/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Fre Apr 27 08:21:56 MEST 2001
    copyright            : (C) 2001 by Christoph Maciejewski
    email                : chrm@chipmail.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "ksplit.h"

static const char *description =
	I18N_NOOP("KSplit");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "ksplit", I18N_NOOP("KSplit"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2001, Christoph Maciejewski", 0, 0, "chrmac@gmx.de");
  aboutData.addAuthor("Christoph Maciejewski",0, "chrmac@gmx.de");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  KSplit *ksplit = new KSplit();
  a.setMainWidget(ksplit);
  ksplit->setCaption( i18n("KSplit 0.5.4") );
  ksplit->show();  

  return a.exec();
}
