/***************************************************************************
                          filesizemenuedata.cpp  -  description
                             -------------------
    begin                : Fri Apr 27 2001
    copyright            : (C) 2001 by Christoph Maciejewski
    email                : chrm@chipmail.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kapp.h>
#include "filesizemenue.h"

void  FileSizeMenue::initDialog(){
  this->resize(250,100);
  this->setMinimumSize(250,100);
  this->setMaximumSize(250,100);

  sizeLine= new QSpinBox(this,"SizeLine");
  sizeLine->setGeometry(10,10,150,30);
  sizeLine->setFont( QFont("Helvetica", 12) );
  sizeLine->setMaxValue(999999999);
  sizeLine->setMinValue(1);

  ok= new QPushButton(this,"OK");
  ok->setGeometry(10,50,150,30);
  ok->setText(i18n("OK"));

  QButtonGroup_1= new QButtonGroup(this,"Gruppe");
  QButtonGroup_1->setGeometry(170,10,70,80);
  QButtonGroup_1->setMinimumSize(0,0);
  QButtonGroup_1->setTitle((""));

  bytes= new QRadioButton(QButtonGroup_1,"bytes");
  bytes->setGeometry(10,10,50,20);
  bytes->setMinimumSize(0,0);
  bytes->setText(i18n("bytes"));
  bytes->setChecked(true);

  kbytes= new QRadioButton(QButtonGroup_1,"kbytes");
  kbytes->setGeometry(10,30,50,20);
  kbytes->setMinimumSize(0,0);
  kbytes->setText(i18n("KB"));

  mbytes= new QRadioButton(QButtonGroup_1,"mbytes");
  mbytes->setGeometry(10,50,50,20);
  mbytes->setMinimumSize(0,0);
  mbytes->setText(i18n("MB"));

}
