/***************************************************************************
                          ksplitdrop.cpp  -  description
                             -------------------
    begin                : Sat Jan 6 2001
    copyright            : (C) 2001 by Christoph Maciejewski
    email                : chrm@chipmail.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <kapp.h>
#include "ksplit.h"

void KSplit::dragEnterEvent(QDragEnterEvent *event)
{
  //************ Check the DRAG-Action, accept if ok ******************
  //event->accept(QUriDrag::canDecode(event));
  event->accept(QTextDrag::canDecode(event));
}

void KSplit::dropEvent(QDropEvent *event)
{
  //************* Decode the DROP-Event and format the path ***********
  QString localeUrl;

  QTextDrag::decode(event, localeUrl);
  if(localeUrl.find("file:")!=-1)
    {
      localeUrl.replace( 0, 5, "" );                 // lscht: "file:" am Anfang
    }

  if(localeUrl.find('\n')!=-1)                        // lschte hintere Leerzeichen - vom Konqui geliefert
    {
      localeUrl.replace( localeUrl.length() - 2, 2, "" );
    }
	
  if(localeUrl.find("file:")!=-1)
    {
      messageWindow(i18n("Multiple file select"), i18n("Select only one file!"), 1);
    }
    else
    {
	    if(localeUrl.find('%')==-1)                    // Problem bei Leerzeichen->%20
  	  {
	      if(cTab == 0) Edit1->setText(localeUrl);	
	      if(cTab == 1) Edit5->setText(localeUrl);	
	      if(cTab == 2) Edit7->setText(localeUrl);
	    }
	    else
	    {
	      currentPath = localeUrl;
	      fileOpen();
	    }
	  }
}

